// File MyGraph.h

class CMyGraph : public COpenGLCtrls
{
    int RotationX;   // Rotation around X axis
    int RotationY;   // Rotation around Y axis
    CPoint MouseDown;// Mouse down position

  public: 
    CMyGraph();

    // Overridden COpenGLCtrls virtual functions
    virtual void OnCreateRC();
    virtual void OnRender();
    virtual void OnViewing();
    virtual void OnViewport(int cx, int cy);
    virtual void OnProjection(GLdouble AspectRatio);
    virtual void OnDestroyRC();
  
    // MFC message handlers
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);

  protected:

    DECLARE_MESSAGE_MAP()
};