// MyView.h : interface of the CMyView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYVIEW_H__E5477E3F_12B8_11D2_8F22_9CF2FC5D75C0__INCLUDED_)
#define AFX_MYVIEW_H__E5477E3F_12B8_11D2_8F22_9CF2FC5D75C0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "oglctrl.h" // Added for implementing OpenGL CUJ Sample
#include "oglview.h" // Added for implementing OpenGL CUJ Sample
#include "mygraph.h" // Added for implementing OpenGL CUJ Sample

class CMyView : public COpenGLView // Modified for implementing OpenGL CUJ Sample
{
    CMyGraph MyGraph; // Added for implementing OpenGL CUJ Sample
  
protected: // create from serialization only
    CMyView();
    DECLARE_DYNCREATE(CMyView)

// Attributes
public:
    CMyDoc* GetDocument();

// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CMyView)
    public:
    virtual void OnDraw(CDC* pDC);  // overridden to draw this view
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    protected:
    //}}AFX_VIRTUAL

// Implementation
public:
    virtual ~CMyView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
    //{{AFX_MSG(CMyView)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MyView.cpp
inline CMyDoc* CMyView::GetDocument()
   { return (CMyDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYVIEW_H__E5477E3F_12B8_11D2_8F22_9CF2FC5D75C0__INCLUDED_)
