// MyView.cpp : implementation of the CMyView class
//

#include "stdafx.h"
#include "App3D.h"

#include "MyDoc.h"
#include "MyView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
    
/////////////////////////////////////////////////////////////////////////////
// CMyView

IMPLEMENT_DYNCREATE(CMyView, COpenGLView) // Modified for implementing OpenGL CUJ Sample

BEGIN_MESSAGE_MAP(CMyView, COpenGLView) // Modified for implementing OpenGL CUJ Sample
    //{{AFX_MSG_MAP(CMyView)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()
   
/////////////////////////////////////////////////////////////////////////////
// CMyView construction/destruction

CMyView::CMyView()
        :COpenGLView(MyGraph) // Added for implementing OpenGL CUJ Sample
{
}

CMyView::~CMyView()
{
}

BOOL CMyView::PreCreateWindow(CREATESTRUCT& cs)
{
    return COpenGLView::PreCreateWindow(cs); // Modified for implementing OpenGL CUJ Sample
}

/////////////////////////////////////////////////////////////////////////////
// CMyView drawing

void CMyView::OnDraw(CDC* pDC)
{
    CMyDoc* pDoc = GetDocument();
    ASSERT_VALID(pDoc);
}

/////////////////////////////////////////////////////////////////////////////
// CMyView diagnostics

#ifdef _DEBUG
void CMyView::AssertValid() const
{
    CView::AssertValid(); 
}

void CMyView::Dump(CDumpContext& dc) const
{
    CView::Dump(dc); 
}

CMyDoc* CMyView::GetDocument() // non-debug version is inline
{
    ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMyDoc)));
    return (CMyDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyView message handlers
