#ifndef OGLVIEW_H
#define OGLVIEW_H

#if _MSC_VER >= 1000
#pragma once
#endif 

//*****************************************************************************
// OpenGL reusable View class to encapsulate Views with OpenGL graphs
// By G.Bavestrelli                     Copyright Techint S.p.A. 1998
//*****************************************************************************

class COpenGLCtrl;

class COpenGLView : public CView
{
    COpenGLCtrl & m_OpenGLCtrl; // The 3D control

 protected: 

    // Must pass COpenGLCtrl to constructor
    COpenGLView(COpenGLCtrl & OpenGLCtrl);

    DECLARE_DYNAMIC(COpenGLView)

 public:

    virtual ~COpenGLView();

    // ClassWizard generated virtual function overrides
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);

protected:  
      
    // Message Map functions
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

    DECLARE_MESSAGE_MAP()
};

#endif 
