#ifndef _URLLINK_H
#define _URLLINK_H

/* NOTE: This source code makes use of the RSA Data Security, Inc. MD5
 * Message-Digest Algorithm. RSA grants license to copy and use its
 * software provided that it is identified as the "RSA Data Security, Inc.
 * MD5 Message-Digest Algorithm" in all material mentioning or referencing
 * its software or function. 
 */


#include "NavLink.h"

class CURLLink : public CStatic
{
public:
	DECLARE_DYNAMIC(CURLLink)
	CURLLink(LPCTSTR lpText = NULL, BOOL bDeleteOnDestroy=FALSE);
	~CURLLink() { }

	CNavlink	m_link;
	COLORREF	m_color;

	static COLORREF g_colorUnvisited;
	static COLORREF g_colorVisited;

	static HCURSOR	 g_hCursorLink;

protected:
	CFont			m_font;					
	BOOL			m_bDeleteOnDestroy;	

	virtual void PostNcDestroy();

	DECLARE_MESSAGE_MAP()
	afx_msg UINT	OnNcHitTest(CPoint point);
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	afx_msg void	OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg BOOL	OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
};

#endif _URLLINK_H
